connect to tlma%

create procedure ADM.DROP_IF_EXISTS(in NAME char(100))
	begin
	declare STMT char(250);
	declare MSG char(20);
	
	declare continue handler for sqlstate '42704' set MSG = 'ok';
	
	set STMT = 'DROP ' concat NAME;
	prepare S1 from STMT;
	execute S1;
	end%

call ADM.DROP_IF_EXISTS('index ADM.AGT_REST_01_IDX')%

CREATE UNIQUE INDEX ADM.AGT_REST_01_IDX ON ADM.AGENT
(
   "ID" ASC
)
INCLUDE
(
   "NODE_ID", "HOSTNAME", "DIVISION_ID"
)
ALLOW REVERSE SCANS COLLECT STATISTICS%

drop procedure ADM.DROP_IF_EXISTS%

disconnect current%