connect to tlma%

create procedure ADM.DROP_IF_EXISTS(in NAME char(100))
	begin
	declare STMT char(250);
	declare MSG char(20);
	
	declare continue handler for sqlstate '42704' set MSG = 'ok';
	
	set STMT = 'DROP ' concat NAME;
	prepare S1 from STMT;
	execute S1;
	end%
	
call ADM.DROP_IF_EXISTS('index SWCAT.BRANCH_PIDX1')%
call ADM.DROP_IF_EXISTS('index ADM.LINK_PIDX1')%

CREATE INDEX SWCAT.BRANCH_PIDX1 ON SWCAT.BRANCH (DELETED ASC, PRODUCT_ID ASC, COMPONENT_ID ASC, PATH ASC)%
CREATE INDEX ADM.LINK_PIDX1 ON ADM.LINK (BRANCH_ID, BRANCH_DEL, LAST_MODIFIED)%
	
drop procedure ADM.DROP_IF_EXISTS%

disconnect current%